Page MenuHomePhabricator

Remove use of label "hasSlaveScripts" in jobs
Closed, ResolvedPublic

Description

hasSlaveScripts should also be available on labs slaves, not only production slaves. It seems the scripts are there but the slaves are not tagged that way. Perhaps the solution is to remove the tag if every slave has them.

To find all such jobs:

ssh gallium.wikimedia.org 'grep -l hasSlaveScripts /var/lib/jenkins/jobs/*/config.xml|cut -d\/ -f6'

That is all the -jslint jobs and:

Related Objects

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 10:18 AM
hashar added a subscriber: hashar.Jun 10 2015, 11:08 AM

Yeah that is a leftover of when the slaves did not have a clone of integration/jenkins.git. It is part of T86659: Migrate all jobs to labs slaves

grep -l hasSlaveScripts yields jobs still having it. Updating task details with the list.

hashar updated the task description. (Show Details)Jun 10 2015, 11:14 AM
hashar set Security to None.

Change 217249 had a related patch set uploaded (by Hashar):
Migrate operations-puppet-{pep8,test} to labs

https://gerrit.wikimedia.org/r/217249

hashar updated the task description. (Show Details)Jun 10 2015, 11:16 AM
hashar moved this task from Untriaged to Next on the Continuous-Integration-Infrastructure board.

Change 217249 merged by jenkins-bot:
Migrate operations-puppet-{pep8,test} to labs

https://gerrit.wikimedia.org/r/217249

hashar triaged this task as Normal priority.Jun 10 2015, 11:19 AM
hashar removed a project: Patch-For-Review.
Krinkle renamed this task from hasSlaveScripts should also be available on labs slaves to Remove use of label "hasSlaveScripts" in jobs.Jun 10 2015, 9:46 PM
Krinkle added a subscriber: Krinkle.EditedJun 10 2015, 9:49 PM

In the past, hasSlaveScripts was the only label to ensure jobs run on production slaves (without hardcoding individual slave hosts). We now have productionSlaves for this purpose.

Any jobs left on production slaves after T86659 should probably be tied with gallium. Aside from things specifically running on gallium (e.g. publisher) I don't think we have any use cases for production slaves.

Change 217503 had a related patch set uploaded (by Hashar):
Migrate perllint to labs and rm hasSlaveScripts

https://gerrit.wikimedia.org/r/217503

hashar updated the task description. (Show Details)Jun 11 2015, 1:16 PM

Change 217503 merged by jenkins-bot:
Migrate perllint to labs and rm hasSlaveScripts

https://gerrit.wikimedia.org/r/217503

Change 217504 had a related patch set uploaded (by Hashar):
Migrate pplint-HEAD to labs and rm hasSlaveScripts

https://gerrit.wikimedia.org/r/217504

hashar updated the task description. (Show Details)Jun 11 2015, 1:22 PM

Change 217504 merged by jenkins-bot:
Migrate pplint-HEAD to labs and rm hasSlaveScripts

https://gerrit.wikimedia.org/r/217504

hashar updated the task description. (Show Details)Jul 1 2015, 1:54 PM

Change 222115 had a related patch set uploaded (by Hashar):
Migrate jshint/jsonlint/jslint jobs to wmflabs

https://gerrit.wikimedia.org/r/222115

hashar updated the task description. (Show Details)Jul 1 2015, 1:58 PM
hashar updated the task description. (Show Details)Jul 1 2015, 2:02 PM

Change 222115 merged by jenkins-bot:
Migrate jshint/jsonlint/jslint jobs to wmflabs

https://gerrit.wikimedia.org/r/222115

Change 222123 had a related patch set uploaded (by Hashar):
Migrate {name}-phpcs-HEAD to Precise labs

https://gerrit.wikimedia.org/r/222123

Change 222123 merged by jenkins-bot:
Migrate {name}-phpcs-HEAD to Precise labs

https://gerrit.wikimedia.org/r/222123

hashar updated the task description. (Show Details)Jul 1 2015, 3:30 PM
hashar updated the task description. (Show Details)Jul 2 2015, 10:49 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:49 AM
hashar added a comment.EditedJul 2 2015, 10:49 AM

Current status:

$ ssh gallium.wikimedia.org 'grep -l hasSlaveScripts /var/lib/jenkins/jobs/*/config.xml|cut -d\/ -f6'
erblint-HEAD
mediawiki-core-jslint
mediawiki-core-phpcs
mediawiki-core-whitespaces
mwext-CirrusSearch-whitespaces
parsoidsvc-php-parsertests
hashar updated the task description. (Show Details)Jul 2 2015, 10:53 AM

Change 222280 had a related patch set uploaded (by Hashar):
Migrate whitespaces jobs to labs (on Trusty)

https://gerrit.wikimedia.org/r/222280

hashar updated the task description. (Show Details)Jul 2 2015, 12:09 PM

Change 222280 merged by jenkins-bot:
Migrate whitespaces jobs to labs (on Trusty)

https://gerrit.wikimedia.org/r/222280

Change 222281 had a related patch set uploaded (by Hashar):
Migrate 'mediawiki-core-jslint to labs (on Trusty)

https://gerrit.wikimedia.org/r/222281

hashar updated the task description. (Show Details)Jul 2 2015, 12:15 PM
hashar updated the task description. (Show Details)

Change 222281 merged by jenkins-bot:
Migrate mediawiki-core-jslint to labs (on Trusty)

https://gerrit.wikimedia.org/r/222281

Change 222282 had a related patch set uploaded (by Hashar):
Stop generating mediawiki-core-phpcs (ununsed)

https://gerrit.wikimedia.org/r/222282

hashar updated the task description. (Show Details)Jul 2 2015, 12:18 PM

Change 222282 merged by jenkins-bot:
Stop generating mediawiki-core-phpcs (ununsed)

https://gerrit.wikimedia.org/r/222282

Change 222283 had a related patch set uploaded (by Hashar):
Migrate erblint-HEAD to labs slave (still on Precise)

https://gerrit.wikimedia.org/r/222283

hashar updated the task description. (Show Details)Jul 2 2015, 12:25 PM

Change 222283 merged by jenkins-bot:
Migrate erblint-HEAD to labs slave (still on Precise)

https://gerrit.wikimedia.org/r/222283

Change 222577 had a related patch set uploaded (by Hashar):
Migrate parsoidsvc-php-parsertests to labs

https://gerrit.wikimedia.org/r/222577

hashar updated the task description. (Show Details)Jul 3 2015, 12:49 PM

Change 222577 merged by jenkins-bot:
Migrate parsoidsvc-php-parsertests to labs

https://gerrit.wikimedia.org/r/222577

Change 222579 had a related patch set uploaded (by Hashar):
Remove last occurence of label 'hasSlaveScripts'

https://gerrit.wikimedia.org/r/222579

Change 222579 merged by jenkins-bot:
Remove last occurence of label 'hasSlaveScripts'

https://gerrit.wikimedia.org/r/222579

hashar closed this task as Resolved.Jul 3 2015, 1:00 PM
hashar claimed this task.

The Jenkins label hasSlaveScripts is now gone !